<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>The Komputer Store</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="CSS/style.css">
</head>

<body>
    <div class="container-fluid" style="background-color: grey;">
        <h1 class="text-left display-1" style="color: white;">The Komputer Store</h1>
        <p class="text-center" id="app-status"></p>
    </div>

    <div class="container">
        <div class="row gx-4">
            <div class="col-md">
                <h2 class="display-3">The Bank</h2>
                <p class="font-weight-bold"><strong>Balance</strong></p>
                <p id="bank-balance">
                    <!-- Displays balance -->
                </p>
                <p><strong id="outstanding-loan-title"></strong></p>
                <p id="outstanding-loan">
                    <!-- Display outstanding loan, if you have loaned money -->
                </p>
                <button class="btn btn-warning" id="btn-pay-loan">Pay loan</button>
                <button class="btn btn-info" id="btn-apply-loan">Get a loan</button>
            </div>
            <div class="col-md">
                <h2 class="font-weight-bold display-3">Work</h2>
                <p><strong>Pay</strong></p>
                <p id="pay-balance">
                    <!-- Amount: Money earned from work -->
                </p>
                <button class="btn btn-success" id="btn-transfer-pay">Transfer to bank</button>
                <button class="btn btn-primary" id="btn-work">Work</button>
            </div>
            <div class="col-md">
                <h2 class="font-weight-bold display-4">Laptops</h2>
                <select name="computers" id="computers">
                    <!-- Fill with computers from the API -->
                </select>
                <p id="computers"></p>
                <p id="lead"><strong id=features-title></strong></p>
                <ui class="lead" name="computer-features" id="computer-features">
                    <!-- List computer features -->
                </ui>
            </div>
        </div>
    </div>

    <div class="card bg-light mb-3 mt-3">
        <div class="row">
            <div class="col-md-4">
                <img class="img-fluid" id="img-computer">
            </div>
            <div class="col-md-8">
                <div class="card-body">
                    <h5 class="card-title" id="computer-title">Please select a computer</h5>
                    <p class="card-text" id="computer-description"></p>
                    <p class="card-text" id="computer-price"></p>
                    <button class="btn btn-dark btn-lg" id="btn-buy-computer"> BUY NOW </button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous">
        </script>
    <script src="js/index.js" type="module"></script>
</body>

</html>